/**
 * 
 */
package com.github.ansell.oas.webservice.impl;

import org.restlet.data.Status;
import org.restlet.representation.Representation;
import org.restlet.resource.Get;
import org.restlet.resource.ResourceException;

import com.github.ansell.oas.webservice.LogoutResource;

/**
 * @author Peter Ansell p_ansell@yahoo.com
 * 
 */
public class CookieLogoutResourceImpl extends AbstractOasResourceImpl implements LogoutResource
{
    /**
     * 
     */
    public CookieLogoutResourceImpl()
    {
        super();
    }
    
    @Override
    @Get
    public Representation performLogout(final Representation entity) throws ResourceException
    {
        throw new ResourceException(Status.SERVER_ERROR_NOT_IMPLEMENTED, "Logout Not Implemented");
    }
}
