/**
 * 
 */
package com.github.ansell.oas.objects.impl;

/**
 * An implementation of the ResourceCount interface used to count URIs.
 * 
 * @author Peter Ansell p_ansell@yahoo.com
 */
public class UriCountImpl extends AbstractResourceCountImpl
{
    
    /**
     * Default Constructor.
     */
    public UriCountImpl()
    {
        super();
    }
    
    /**
     * Constructor to initialise count to a particular value.
     * 
     * @param count
     *            The initial count to use.
     */
    public UriCountImpl(final int count)
    {
        super(count);
    }
    
}
